> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Scorer Version Or Latest



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/scorers/{scorer_id}/version
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/scorers/{scorer_id}/version:
    get:
      tags:
        - data
        - prompts
        - rows
      summary: Get Scorer Version Or Latest
      operationId: get_scorer_version_or_latest_v2_scorers__scorer_id__version_get
      parameters:
        - name: scorer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Scorer Id
        - name: version
          in: query
          required: false
          schema:
            type: integer
            title: Version
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseScorerVersionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    BaseScorerVersionResponse:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        version:
          type: integer
          title: Version
        scorer_id:
          type: string
          format: uuid4
          title: Scorer Id
        generated_scorer:
          anyOf:
            - $ref: '#/components/schemas/GeneratedScorerResponse'
            - type: 'null'
        registered_scorer:
          anyOf:
            - $ref: '#/components/schemas/CreateUpdateRegisteredScorerResponse'
            - type: 'null'
        finetuned_scorer:
          anyOf:
            - $ref: '#/components/schemas/FineTunedScorerResponse'
            - type: 'null'
        model_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Name
        num_judges:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Judges
        scoreable_node_types:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Scoreable Node Types
        cot_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Cot Enabled
        output_type:
          anyOf:
            - $ref: '#/components/schemas/OutputTypeEnum'
            - type: 'null'
        input_type:
          anyOf:
            - $ref: '#/components/schemas/InputTypeEnum'
            - type: 'null'
          description: >-
            What type of input to use for model-based scorers
            (sessions_normalized, trace_io_only, etc.).
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        chain_poll_template:
          anyOf:
            - $ref: '#/components/schemas/ChainPollTemplate'
            - type: 'null'
        allowed_model:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Allowed Model
      type: object
      required:
        - id
        - version
        - scorer_id
        - created_at
        - updated_at
      title: BaseScorerVersionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GeneratedScorerResponse:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        name:
          type: string
          title: Name
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
        chain_poll_template:
          $ref: '#/components/schemas/ChainPollTemplate'
        user_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: User Prompt
        created_by:
          type: string
          format: uuid4
          title: Created By
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        scoreable_node_types:
          anyOf:
            - items:
                $ref: '#/components/schemas/NodeType'
              type: array
            - type: 'null'
          title: Scoreable Node Types
        scorer_configuration:
          $ref: '#/components/schemas/GeneratedScorerConfiguration'
      type: object
      required:
        - id
        - name
        - chain_poll_template
        - created_by
        - created_at
        - updated_at
        - scoreable_node_types
        - scorer_configuration
      title: GeneratedScorerResponse
    CreateUpdateRegisteredScorerResponse:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        name:
          type: string
          title: Name
        score_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Score Type
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        created_by:
          type: string
          format: uuid4
          title: Created By
        data_type:
          anyOf:
            - $ref: '#/components/schemas/DataTypeOptions'
            - type: 'null'
        scoreable_node_types:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Scoreable Node Types
      type: object
      required:
        - id
        - name
        - score_type
        - created_at
        - updated_at
        - created_by
        - data_type
        - scoreable_node_types
      title: CreateUpdateRegisteredScorerResponse
    FineTunedScorerResponse:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        name:
          type: string
          title: Name
        lora_task_id:
          type: integer
          title: Lora Task Id
        lora_weights_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Lora Weights Path
        prompt:
          type: string
          title: Prompt
        luna_input_type:
          anyOf:
            - $ref: '#/components/schemas/LunaInputTypeEnum'
            - type: 'null'
        luna_output_type:
          anyOf:
            - $ref: '#/components/schemas/LunaOutputTypeEnum'
            - type: 'null'
        class_name_to_vocab_ix:
          anyOf:
            - additionalProperties:
                items:
                  type: integer
                type: array
                uniqueItems: true
              type: object
            - additionalProperties:
                type: integer
              type: object
            - type: 'null'
          title: Class Name To Vocab Ix
        executor:
          anyOf:
            - $ref: '#/components/schemas/ScorerName'
            - type: 'null'
          description: >-
            Executor pipeline. Defaults to finetuned scorer pipeline but can run
            custom galileo score pipelines.
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        created_by:
          type: string
          format: uuid4
          title: Created By
      type: object
      required:
        - id
        - name
        - lora_task_id
        - prompt
        - created_at
        - updated_at
        - created_by
      title: FineTunedScorerResponse
    OutputTypeEnum:
      type: string
      enum:
        - boolean
        - categorical
        - count
        - discrete
        - freeform
        - percentage
        - multilabel
        - retrieved_chunk_list_boolean
        - boolean_multilabel
      title: OutputTypeEnum
      description: Enumeration of output types.
    InputTypeEnum:
      type: string
      enum:
        - basic
        - llm_spans
        - retriever_spans
        - sessions_normalized
        - sessions_trace_io_only
        - tool_spans
        - trace_input_only
        - trace_io_only
        - trace_normalized
        - trace_output_only
        - agent_spans
        - workflow_spans
      title: InputTypeEnum
      description: Enumeration of input types.
    ChainPollTemplate:
      properties:
        metric_system_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Metric System Prompt
          description: System prompt for the metric.
        metric_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Metric Description
          description: Description of what the metric should do.
        value_field_name:
          type: string
          title: Value Field Name
          description: Field name to look for in the chainpoll response, for the rating.
          default: rating
        explanation_field_name:
          type: string
          title: Explanation Field Name
          description: >-
            Field name to look for in the chainpoll response, for the
            explanation.
          default: explanation
        template:
          type: string
          title: Template
          description: Chainpoll prompt template.
        metric_few_shot_examples:
          items:
            $ref: '#/components/schemas/FewShotExample'
          type: array
          title: Metric Few Shot Examples
          description: Few-shot examples for the metric.
        response_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Response Schema
          description: Response schema for the output
      type: object
      required:
        - template
      title: ChainPollTemplate
      description: |-
        Template for a chainpoll metric prompt,
        containing all the info necessary to send a chainpoll prompt.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    NodeType:
      type: string
      enum:
        - chain
        - chat
        - llm
        - retriever
        - tool
        - agent
        - workflow
        - trace
        - session
      title: NodeType
    GeneratedScorerConfiguration:
      properties:
        model_alias:
          type: string
          title: Model Alias
          default: gpt-4.1-mini
        num_judges:
          type: integer
          maximum: 10
          minimum: 1
          title: Num Judges
          default: 3
        output_type:
          $ref: '#/components/schemas/OutputTypeEnum'
          description: Output type of the generated scorer.
          default: boolean
        scoreable_node_types:
          items:
            type: string
          type: array
          title: Scoreable Node Types
          description: Types of nodes that can be scored by this scorer.
        cot_enabled:
          type: boolean
          title: Cot Enabled
          description: Whether chain of thought is enabled for this scorer.
          default: false
        ground_truth:
          type: boolean
          title: Ground Truth
          description: Whether ground truth is enabled for this scorer.
          default: false
        multimodal_capabilities:
          anyOf:
            - items:
                $ref: '#/components/schemas/MultimodalCapability'
              type: array
            - type: 'null'
          title: Multimodal Capabilities
          description: Multimodal capabilities required by this scorer.
      type: object
      title: GeneratedScorerConfiguration
    DataTypeOptions:
      type: string
      enum:
        - unknown
        - text
        - label
        - floating_point
        - integer
        - timestamp
        - milli_seconds
        - boolean
        - uuid
        - percentage
        - dollars
        - array
        - template_label
        - thumb_rating_percentage
        - user_id
        - text_offsets
        - segments
        - hallucination_segments
        - thumb_rating
        - score_rating
        - star_rating
        - tags_rating
        - thumb_rating_aggregate
        - score_rating_aggregate
        - star_rating_aggregate
        - tags_rating_aggregate
      title: DataTypeOptions
    LunaInputTypeEnum:
      type: string
      enum:
        - span
        - trace_object
        - trace_input_output_only
      title: LunaInputTypeEnum
    LunaOutputTypeEnum:
      type: string
      enum:
        - float
        - string
        - string_list
        - bool_list
      title: LunaOutputTypeEnum
    ScorerName:
      type: string
      enum:
        - action_completion_luna
        - action_advancement_luna
        - agentic_session_success
        - agentic_session_success
        - agentic_workflow_success
        - agentic_workflow_success
        - agent_efficiency
        - agent_flow
        - bleu
        - chunk_attribution_utilization_luna
        - chunk_attribution_utilization
        - chunk_relevance
        - chunk_relevance_luna
        - context_precision
        - precision_at_k
        - completeness_luna
        - completeness
        - context_adherence
        - context_adherence_luna
        - context_relevance
        - context_relevance_luna
        - conversation_quality
        - correctness
        - ground_truth_adherence
        - visual_fidelity
        - visual_quality
        - input_pii
        - input_pii_gpt
        - input_sexist
        - input_sexist
        - input_sexist_luna
        - input_sexist_luna
        - input_tone
        - input_tone_gpt
        - input_toxicity
        - input_toxicity_luna
        - instruction_adherence
        - output_pii
        - output_pii_gpt
        - output_sexist
        - output_sexist
        - output_sexist_luna
        - output_sexist_luna
        - output_tone
        - output_tone_gpt
        - output_toxicity
        - output_toxicity_luna
        - prompt_injection
        - prompt_injection_luna
        - prompt_perplexity
        - rouge
        - reasoning_coherence
        - sql_efficiency
        - sql_adherence
        - sql_injection
        - sql_correctness
        - tool_error_rate
        - tool_error_rate_luna
        - tool_selection_quality
        - tool_selection_quality_luna
        - uncertainty
        - user_intent_change
        - interruption_detection
      title: ScorerName
    FewShotExample:
      properties:
        generation_prompt_and_response:
          type: string
          title: Generation Prompt And Response
        evaluating_response:
          type: string
          title: Evaluating Response
      type: object
      required:
        - generation_prompt_and_response
        - evaluating_response
      title: FewShotExample
      description: Few-shot example for a chainpoll metric prompt.
    MultimodalCapability:
      type: string
      enum:
        - vision
        - audio
      title: MultimodalCapability
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````